Package org.jdesktop.animation.timing.triggers

# Class TimingTriggerEvent

java.lang.Object
org.jdesktop.animation.timing.triggers.TriggerEvent
org.jdesktop.animation.timing.triggers.TimingTriggerEvent

public class TimingTriggerEvent extends TriggerEvent
Timing events; TimingTriggers can be set to fire when an animator starts, stops, or repeats.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TimingTriggerEvent`
`REPEAT`
Event fired when Animator finishes one cycle and starts another
`static final TimingTriggerEvent`
`START`
Event fired when Animator starts
`static final TimingTriggerEvent`
`STOP`
Event fired when Animator stops

## Method Summary

Modifier and Type
Method
Description
`TriggerEvent`
`getOppositeEvent()`
This method finds the opposite of the current event.: START -> STOP and STOP -> START.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### START

public static final TimingTriggerEvent START
Event fired when Animator starts

### STOP

public static final TimingTriggerEvent STOP
Event fired when Animator stops

### REPEAT

public static final TimingTriggerEvent REPEAT
Event fired when Animator finishes one cycle and starts another

## Method Details

### getOppositeEvent

public TriggerEvent getOppositeEvent()
This method finds the opposite of the current event.: START -> STOP and STOP -> START. Note that REPEAT has no obvious opposite so it simply returns REPEAT (this method should probably not be called for that case).

Overrides:
  `getOppositeEvent` in class `TriggerEvent`